import requests
from pycvesearch import CVESearch
import django


def get_all_cve_on_given_version(VERSION_NUMBER):
    cve = CVESearch()
    returned_data = cve.search('djangoproject/django:' + VERSION_NUMBER)
    cve_list = []

    for element in returned_data:
        cve_list.append(element.get('id'))
        cve_list.append(element.get('summary'))

    return cve_list


def get_current_django_version():
    version_number = str(django.VERSION).strip('()').strip(' ').split(', ')[:3]
    return version_number[0] + "." + version_number[1] + "." + version_number[2]


def find_outdated_version_and_send_email():
    ALL_CVE_ON_GIVEN_VERSION = get_all_cve_on_given_version(get_current_django_version())
    if ALL_CVE_ON_GIVEN_VERSION:
        counter = 0
        text_message = "You are running version " + get_current_django_version() + " of Django.\n" \
                    "The website is currently vulnerable to " + str(int(len(ALL_CVE_ON_GIVEN_VERSION)/2)) + " CVE-listed vulnerabilities and should be patched to the recommended version!\n" \
                    "Please visit the /update/-site of the application.\n" \
                    "Here is a list of the given CVEs that the website is vulnerable to:\n\n"
        for element in ALL_CVE_ON_GIVEN_VERSION:
            if(counter%2 == 0 ):
                text_message += '------------------------------------------\n'
            text_message += element + "\n"
            counter += 1


        return requests.post(
            "https://api.mailgun.net/v3/sandboxc176XXXXXXXXXXXXXXXX.mailgun.org/messages",
            auth=("api", "key-8866-YOUR-API-KEY-HEREXXXXXXXXXX"),
            data={"from": "Updating Service <postmaster@sandboxc176XXXXXXXXXXXXXXXX.mailgun.org>",
                "to": "Admin <YOUR@EMAIL.COM>",
                "subject": "Update Django!",
                "text": text_message})


        # return requests.post(
        #     "https://api.mailgun.net/v3/mg.nermark.net/messages",
        #     auth=("api", "key-88661f047b336761c455d598b18e4030"),
        #     data={"from": "Django Update Service <postmaster@mg.nermark.net>",
        #         "to": "Admin <magnusnermark@gmail.com>",
        #         "subject": "Update Django!",
        #         "text": text_message})

find_outdated_version_and_send_email()
