from django.db import models

# Create your models here.

class DjangoVersionLTS(models.Model):
    base_version = models.CharField(max_length=20)
    supported_version = models.BooleanField(default=False)
    lts = models.BooleanField(default=False)
    latest_version_released = models.CharField(max_length=20)
    mainstream = models.CharField(max_length=200)
    extended = models.CharField(max_length=200)

    def __str__(self):
        return self.base_version



class DjangoVersion(models.Model):
    django_version = models.CharField(max_length=50)
    base_version_relation = models.ForeignKey(DjangoVersionLTS, default=1)
    # lts = models.BooleanField(default=False)

    def __str__(self):
        return self.django_version


class InfoCVE(models.Model):
    cve_id = models.CharField(max_length=50)
    comment = models.TextField()

    def __str__(self):
        return self.cve_id


class DjangoVersionCVE(models.Model):
    cve = models.ManyToManyField(InfoCVE)
    django = models.ForeignKey(DjangoVersion)   

    def __str__(self):
        return str(self.django) + " - " + str(self.cve)
    

# class DjangoVersionSupportAndLTS(models.Model):
